summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/grpc/grpc-1.54.0.ebuild8
-rw-r--r--dev-ruby/grpc/grpc-1.59.2.ebuild8
-rw-r--r--dev-ruby/json/json-2.7.2-r1.ebuild2
-rw-r--r--dev-ruby/path_expander/Manifest1
-rw-r--r--dev-ruby/path_expander/path_expander-1.1.3.ebuild28
-rw-r--r--dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild4
-rw-r--r--dev-ruby/sqlite3/sqlite3-2.0.4-r1.ebuild64
-rw-r--r--dev-ruby/webmock/webmock-3.23.0.ebuild2
8 files changed, 111 insertions, 6 deletions
diff --git a/dev-ruby/grpc/grpc-1.54.0.ebuild b/dev-ruby/grpc/grpc-1.54.0.ebuild
index 934ddf075b4a..931429078487 100644
--- a/dev-ruby/grpc/grpc-1.54.0.ebuild
+++ b/dev-ruby/grpc/grpc-1.54.0.ebuild
@@ -8,7 +8,7 @@ RUBY_FAKEGEM_EXTENSIONS=(src/ruby/ext/grpc/extconf.rb)
RUBY_FAKEGEM_EXTRAINSTALL="etc src"
RUBY_FAKEGEM_RECIPE_TEST="none"
-inherit ruby-fakegem
+inherit multiprocessing ruby-fakegem
DESCRIPTION="Send RPCs from Ruby using GRPC"
HOMEPAGE="https://github.com/grpc/grpc"
@@ -23,6 +23,12 @@ ruby_add_rdepend "
>=dev-ruby/google-protobuf-3.24.4
"
+each_ruby_configure() {
+ export GRPC_RUBY_BUILD_PROCS="$(makeopts_jobs)"
+
+ each_fakegem_configure
+}
+
each_ruby_install() {
# Remove all the "src" bits that are not needed
rm -rf src/core src/ruby/spec src/ruby/ext/grpc/{libs,objs} || die
diff --git a/dev-ruby/grpc/grpc-1.59.2.ebuild b/dev-ruby/grpc/grpc-1.59.2.ebuild
index 934ddf075b4a..931429078487 100644
--- a/dev-ruby/grpc/grpc-1.59.2.ebuild
+++ b/dev-ruby/grpc/grpc-1.59.2.ebuild
@@ -8,7 +8,7 @@ RUBY_FAKEGEM_EXTENSIONS=(src/ruby/ext/grpc/extconf.rb)
RUBY_FAKEGEM_EXTRAINSTALL="etc src"
RUBY_FAKEGEM_RECIPE_TEST="none"
-inherit ruby-fakegem
+inherit multiprocessing ruby-fakegem
DESCRIPTION="Send RPCs from Ruby using GRPC"
HOMEPAGE="https://github.com/grpc/grpc"
@@ -23,6 +23,12 @@ ruby_add_rdepend "
>=dev-ruby/google-protobuf-3.24.4
"
+each_ruby_configure() {
+ export GRPC_RUBY_BUILD_PROCS="$(makeopts_jobs)"
+
+ each_fakegem_configure
+}
+
each_ruby_install() {
# Remove all the "src" bits that are not needed
rm -rf src/core src/ruby/spec src/ruby/ext/grpc/{libs,objs} || die
diff --git a/dev-ruby/json/json-2.7.2-r1.ebuild b/dev-ruby/json/json-2.7.2-r1.ebuild
index e5fe0e803656..8b209fce5e5d 100644
--- a/dev-ruby/json/json-2.7.2-r1.ebuild
+++ b/dev-ruby/json/json-2.7.2-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="https://github.com/flori/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD-2 Ruby )"
SLOT="$(ver_cut 1)"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc test"
DEPEND="dev-util/ragel"
diff --git a/dev-ruby/path_expander/Manifest b/dev-ruby/path_expander/Manifest
index 7f53854657f0..7b5423e5293a 100644
--- a/dev-ruby/path_expander/Manifest
+++ b/dev-ruby/path_expander/Manifest
@@ -1,2 +1,3 @@
DIST path_expander-1.1.1.gem 13312 BLAKE2B d22b7253be821f7bf73bef48843b64356e5a4c66fb532844e4de25e9f4e01486560defda00d8cbc698a3d3b936cff742bdd3005afb32f9a41318d380d2f575cc SHA512 bd670b45bf8a265faf0ab9e845782e7bb6fa62e4360d3b5109b83b27afc54d3d372db1d0df9a098eb6935d24d29a973848c7b914b5ee0d67069ddc88c0aa79b7
DIST path_expander-1.1.2.gem 13824 BLAKE2B 0f618b136b0322c8fcde8c2acbcc594108aaef4765d336f26ab8fa5bdd433d1577795f8a946987370fed4da5d7219d6b1115c930fd0a87a06d11579bd24420b8 SHA512 998aa55fa1cc31498ef65753aab734650031ae1e42a7f2b5757edd50ea57076f87ee6d5a03bc62d93768709f06dd0a0564080d8563dec0f9d7605501348dd718
+DIST path_expander-1.1.3.gem 13824 BLAKE2B 7852be8bb3ba816c0e2ac80f381a4b56913b4f928a79bacd488f0d761c700ef615d6f4c1e191d1fa4ae82a1f64d66bb46bf2a2863a971f0763e38f334a60a9ab SHA512 b522a7b43b72e33dd3d176067cbb53417620f13ee0c270993edcd3c9bc7ab0f36ecaa8feca0bca258c416ecf37855e1eb1ca2abbafccbbd08ed7a19a3556a035
diff --git a/dev-ruby/path_expander/path_expander-1.1.3.ebuild b/dev-ruby/path_expander/path_expander-1.1.3.ebuild
new file mode 100644
index 000000000000..42eac7956233
--- /dev/null
+++ b/dev-ruby/path_expander/path_expander-1.1.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pre-process CLI arguments expanding directories into their constituent files"
+HOMEPAGE="https://github.com/seattlerb/path_expander"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~x86"
+
+all_ruby_prepare() {
+ # Fix tests depending on sort order
+ sed -i -e '/test_process_args_dir/,/^ end/ s:^:#:' \
+ -e '33 s/$/.sort/' \
+ -e '83 s/act/act.sort/' \
+ test/test_path_expander.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild b/dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild
index 4d3c3a18ab54..657cfbeaa1b2 100644
--- a/dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild
+++ b/dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,7 +15,7 @@ HOMEPAGE="https://github.com/NoRedInk/rspec-retry"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE=""
ruby_add_rdepend ">=dev-ruby/rspec-core-3.3"
diff --git a/dev-ruby/sqlite3/sqlite3-2.0.4-r1.ebuild b/dev-ruby/sqlite3/sqlite3-2.0.4-r1.ebuild
new file mode 100644
index 000000000000..9a628d5898ee
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-2.0.4-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+RUBY_FAKEGEM_GEMSPEC="sqlite3.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby"
+SRC_URI="https://github.com/sparklemotion/sqlite3-ruby/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="sqlite3-ruby-${PV}"
+LICENSE="BSD"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+# We track the bundled sqlite version here
+RDEPEND=" >=dev-db/sqlite-3.46.1:3"
+DEPEND=" >=dev-db/sqlite-3.46.1:3"
+
+ruby_add_bdepend "
+ doc? ( dev-ruby/rdoc )
+ test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+ sed -i -e 's/enable_config("system-libraries")/true/' ext/sqlite3/extconf.rb || die
+
+ # Remove the runtime dependency on mini_portile2. We build without
+ # it and it is not a runtime dependency for us.
+ sed -e '/mini_portile2/ s:^:#:' \
+ -e "s/0.0.0/${PV}/" \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid a failing spec for reprepares stats. Upstream indicates that
+ # the stats data should not be relied on other than for human
+ # debugging.
+ sed -e '/def test_stat_reprepares/askip "Fails on Gentoo"' \
+ -i test/test_statement.rb || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc; then
+ rdoc --title "${P} Documentation" -o doc --main README.rdoc lib *.rdoc ext/*/*.c || die
+ rm -f doc/js/*.gz || die
+ fi
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/webmock/webmock-3.23.0.ebuild b/dev-ruby/webmock/webmock-3.23.0.ebuild
index 475a1b5900b6..44334c44fef0 100644
--- a/dev-ruby/webmock/webmock-3.23.0.ebuild
+++ b/dev-ruby/webmock/webmock-3.23.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/bblimke/webmock/archive/refs/tags/v${PV}.tar.gz -> $
LICENSE="GPL-2"
SLOT="3"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="test"
ruby_add_rdepend "